com.trendmicro.ds.platform.rest.object.managernodes

## Class ManagerNode.Location

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.managernodes.ManagerNode.Location

- Enclosing class:
    ManagerNode

      public static class ManagerNode.Location
      extends java.lang.Object

  Addressing information for a manager node.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Location()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlternateURL()` Get the alternate URL for accessing the manager node, if any.
    `java.lang.Integer` | `getHeartbeatPort()` Get the TCP port where the manager node is listening for heartbeat requests.
    `java.lang.String` | `getHostname()` Get the manager node hostname.
    `java.lang.String` | `getLastIPUsed()` Get the last IP address used for the manager node.
    `java.lang.Integer` | `getManagerPort()` Get the TCP (HTTPS) port where the manager node is listening for console requests.
    `void` | `setAlternateURL(java.lang.String alternateURL)` Set the alternate URL for accessing the manager node, if any.
    `void` | `setHeartbeatPort(java.lang.Integer heartbeatPort)` Set the TCP port where the manager node is listening for heartbeat requests.
    `void` | `setHostname(java.lang.String hostname)` Set the manager node hostname.
    `void` | `setLastIPUsed(java.lang.String lastIPUsed)` Set the last IP address used for the manager node.
    `void` | `setManagerPort(java.lang.Integer managerPort)` Set the TCP (HTTPS) port where the manager node is listening for console requests.
    `ManagerNode.Location` | `withAlternateURL(java.lang.String alternateURL)` Set the alternate URL for accessing the manager node, if any.
    `ManagerNode.Location` | `withHeartbeatPort(java.lang.Integer heartbeatPort)` Set the TCP port where the manager node is listening for heartbeat requests.
    `ManagerNode.Location` | `withHostname(java.lang.String hostname)` Set the manager node hostname.
    `ManagerNode.Location` | `withLastIPUsed(java.lang.String lastIPUsed)` Set the last IP address used for the manager node.
    `ManagerNode.Location` | `withManagerPort(java.lang.Integer managerPort)` Set the TCP (HTTPS) port where the manager node is listening for console requests.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Location

          public Location()

  - ### Method Detail

    - #### getHostname

          public java.lang.String getHostname()

      Get the manager node hostname.

      This may not be the actual machine hostname on the manager node; it is the name used for the manager node in the database.

      Returns:
        the manager node hostname.

    - #### setHostname

          public void setHostname(java.lang.String hostname)

      Set the manager node hostname.

      This does not set the actual machine hostname on the manager node; it only updates the name used for the manager node in the database.

      Parameters:
        `hostname` - the manager node hostname.

    - #### withHostname

          public ManagerNode.Location withHostname(java.lang.String hostname)

      Set the manager node hostname.

      This does not set the actual machine hostname on the manager node; it only updates the name used for the manager node in the database.

      Parameters:
        `hostname` - the manager node hostname.
      Returns:
        the updated Location object.

    - #### getLastIPUsed

          public java.lang.String getLastIPUsed()

      Get the last IP address used for the manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the last IP address used for the manager node.

    - #### setLastIPUsed

          public void setLastIPUsed(java.lang.String lastIPUsed)

      Set the last IP address used for the manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `lastIPUsed` - the last IP address used for the manager node.

    - #### withLastIPUsed

          public ManagerNode.Location withLastIPUsed(java.lang.String lastIPUsed)

      Set the last IP address used for the manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `lastIPUsed` - the last IP address used for the manager node.
      Returns:
        the updated Location object.

    - #### getAlternateURL

          public java.lang.String getAlternateURL()

      Get the alternate URL for accessing the manager node, if any.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the alternate URL for accessing the manager node, if any.

    - #### setAlternateURL

          public void setAlternateURL(java.lang.String alternateURL)

      Set the alternate URL for accessing the manager node, if any.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `alternateURL` - the alternate URL for accessing the manager node, if any.

    - #### withAlternateURL

          public ManagerNode.Location withAlternateURL(java.lang.String alternateURL)

      Set the alternate URL for accessing the manager node, if any.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `alternateURL` - the alternate URL for accessing the manager node, if any.
      Returns:
        the updated Location object.

    - #### getManagerPort

          public java.lang.Integer getManagerPort()

      Get the TCP (HTTPS) port where the manager node is listening for console requests.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the TCP (HTTPS) port where the manager node is listening for console requests.

    - #### setManagerPort

          public void setManagerPort(java.lang.Integer managerPort)

      Set the TCP (HTTPS) port where the manager node is listening for console requests.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `managerPort` - the TCP (HTTPS) port where the manager node is listening for console requests.

    - #### withManagerPort

          public ManagerNode.Location withManagerPort(java.lang.Integer managerPort)

      Set the TCP (HTTPS) port where the manager node is listening for console requests.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `managerPort` - the TCP (HTTPS) port where the manager node is listening for console requests.
      Returns:
        the updated Location object.

    - #### getHeartbeatPort

          public java.lang.Integer getHeartbeatPort()

      Get the TCP port where the manager node is listening for heartbeat requests.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the TCP port where the manager node is listening for heartbeat requests.

    - #### setHeartbeatPort

          public void setHeartbeatPort(java.lang.Integer heartbeatPort)

      Set the TCP port where the manager node is listening for heartbeat requests.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `heartbeatPort` - the TCP port where the manager node is listening for heartbeat requests.

    - #### withHeartbeatPort

          public ManagerNode.Location withHeartbeatPort(java.lang.Integer heartbeatPort)

      Set the TCP port where the manager node is listening for heartbeat requests.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `heartbeatPort` - the TCP port where the manager node is listening for heartbeat requests.
      Returns:
        the updated Location object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.